#ifndef __RESOURCE_H__
#define __RESOURCE_H__

#define MAIN_TITLE		"Face Fit V2"
#define MAIN_WIDTH		512
#define MAIN_HEIGHT		512
#define MAIN_X			0
#define MAIN_Y			0

#define EDITOR_TITLE		"Face Model Editor"
#define EDITOR_TITLE_AU		"Face Model Editor (AUs)"
#define EDITOR_TITLE_EYE	"Face Model Editor (Eyes)"
#define EDITOR_TITLE_VIEWER	"Face Model Editor (Viewer)"
#define EDITOR_TITLE_TEETH	"Face Model Editor (Teeth)"
#define EDITOR_WIDTH		512
#define EDITOR_HEIGHT		512
#define EDITOR_X			700
#define EDITOR_Y			28

#define FS_WINDOW_TITLE		"File Selector"
#define FS_TITLE_OPEN_IMG	"Open face image file [*.rgb, *.bmp]"
#define FS_TITLE_OPEN_PNT	"Open wire frame model file [*.pnt]"
#define FS_TITLE_SAVE_PNT	"Save wire frame model file [*.pnt]"
#define FS_TITLE_OPEN_EYE	"Open eye define file [*.def_e]"
#define FS_TITLE_SAVE_EYE	"Save eye define file [*.def_e]"
#define FS_TITLE_IMAG_EYE	"Open eye texture image [*.rgb, *.bmp]"
#define FS_TITLE_SAVE_AU	"Save your au flie [*.pnt]"
#define FS_TITLE_OPEN_AU	"Open your au file [*.pnt]"
#define FS_TITLE_SAVE_TEETH	"Save teeth define file [*.def_t]"
#define FS_TITLE_OPEN_TEETH "Open teeth define file [*.def_t]"
#define FS_WIDTH			320
#define FS_HEIGHT			270
#define FS_FONT_COLOUR   1,1,1,1

#define MS_WINDOW_TITLE		"Information"
#define MS_WIDTH			400
#define MS_HEIGHT			150
#define MS_FONT_COLOUR   1,1,1,1

#define BTN_WIDTH		140
#define BTN_HEIGHT		40
#define BTN_DUR			40
#define BTN_FONT_COLOUR   1,1,1,1

#define DEFAULT_PNT_FILE "../data/fheadv2.pnt"
#define DEFAULT_LNK_FILE "../data/fheadv2.lnk"
#define DEFAULT_EYE_FILE "../data/eye.obj"
#define DEFAULT_MOUTHWALL_FILE			"../data/mouthwall.obj"
#define DEFAULT_MOUTHEALL_IMAGE_FILE	"../data/mouthwall.bmp"
#define DEFAULT_TEETH_U_FILE			"../data/teethUpper.obj"
#define DEFAULT_TEETH_L_FILE			"../data/teethLower.obj"
#define DEFAULT_AU_DIR "../data/_AU_Datas/"

//////////
// Define MENU BUTTON

// Main Menu Button
static char *MAIN_MENU_NAME[] = {
	"&File",
		"&Edit",
		"&Region",
		"&View",
		"&Help",
};
enum {
	MAIN_FILE_B = 0,
		MAIN_EDIT_B,
		MAIN_REGION_B,
		MAIN_VIEW_B,
		MAIN_HELP_B,
		MAIN_B_NUM,
};

// "File" SubMenu Button

static char *FILE_SUBMENU_NAME[] = 
{  
	"&New Editting",
		"Open &Face Image",
		"Open &Pnt File",
		"&Save Pnt File", 
		"Open &Eye Texture",
		"Open Eye &Def. File",
		"Save Eye Def. File",
		"Open &Teeth Def. File",
		"Save &Teeth Def. File",
		"Open &AU File",
		"Sace AU File",
		"&Quit",
};

enum {
	FILE_NEW_EDIT_B = 0,
		FILE_OPEN_FACE_IMAGE_B,
		FILE_OPEN_PNT_B,
		FILE_SAVE_PNT_B,
		FILE_OPEN_EYE_TEX,
		FILE_OPEN_EYE_B,
		FILE_SAVE_EYE_B,
		FILE_OPEN_TEETH_B,
		FILE_SAVE_TEETH_B,
		FILE_OPEN_AU_B,
		FILE_SAVE_AU_B,
		FILE_QUIT_B,
		FILE_B_NUM,
};

// "Edit" SubMenu Button

static char *EDIT_SUBMENU_NAME[] = 
{  
	"Undo", 
		"Redo", 
		"Reset Model Tex Pos", 
		"Reset Window Size", 
};

enum {
	EDIT_UNDO_B = 0,
		EDIT_REDO_B,
		EDIT_RESET_ALL_B,
		EDIT_RESET_WINDOW_B,
		EDIT_B_NUM,
};

// "Region" SubMenu Button

static char *REGION_SUBMENU_NAME[] = 
{  
	"Any Points", 
		"With Around",
		"Head", 
		"Outline", 
		"Eyes", 
		"Brows",
		"Nose",
		"Mouth",	
		"Neck",
};

enum {
	REGION_ANY_POINTS_B = 0,
		REGION_WITH_AROUNT_B,
		REGION_HEAD_B,
		REGION_OUTLINE_B,
		REGION_EYES_B,
		REGION_BROWS_B,
		REGION_NOSE_B,
		REGION_MOUTH_B,
		REGION_NECK_B,
		REGION_B_NUM,
};

// "View" SubMenu Button

static char *VIEW_SUBMENU_NAME[] = 
{  
		"Face Model Editor",
		"Eye Position Controller",
		"Teeth Color Controller",
		"Action Unit Controller",
		"Coloring Facial Parts",
};
enum {
		VIEW_EDITOR_B = 0,
		VIEW_EYE_B,
		VIEW_TEETH_B,
		VIEW_AU_B,
		VIEW_COLOR_B,
		VIEW_B_NUM,
};

// "Help" SubMenu Button
static char *HELP_SUBMENU_NAME[] = 
{  
	"Shortcut Keys",
		"Version Info.", 
		"About Qt."
};

enum {
	HELP_SHORTCUT_B = 0,
		HELP_VERSION_B,
		HELP_QT_B,
		HELP_B_NUM,
};

// Define MENU BUTTON
//////////



#endif //__RESOURCE_H__
