#include <QtGui>

#include "editGLDlg.h"
#include "gleditwidget.h"

EditGLDlg::EditGLDlg(Document *pDocument, DialogEdit *pView, QWidget *parent)
	: QDialog(parent)
{
	m_pDocument = pDocument;
	m_pDialogEdit = pView;
	m_pGLEditWidget = new GLEditWidget(pDocument, pView);
	m_pGLEditWidget->setMinimumSize(pView->w(), pView->h());
	
	QHBoxLayout *mainLayout = new QHBoxLayout;
	mainLayout->addWidget(m_pGLEditWidget);
	
  	setLayout(mainLayout);
	
	setWindowTitle(tr("Face Viewer"));
}

void EditGLDlg::redraw_window() 
{ 	
	if( this->isVisible() ) {
		m_pGLEditWidget->updateGL();
	}
}
