#ifndef EYEDLG_H
#define EYEDLG_H

#include <QDialog>

#include "editGLDlg.h"

class QLabel;
class QSpinBox;
class QSlider;
class QPushButton;

class EyeDlg : public QDialog
{
	Q_OBJECT

public:
		EyeDlg(EditGLDlg *editGLDlg, QWidget *parent = 0);
	private slots:
		void EyeChange();
	
public:
	enum {
		EYE_SLIDER_TRANS_Z_LEFT,
		EYE_SLIDER_TRANS_Z_RIGHT,
		EYE_SLIDER_ROT_X_LEFT,
		EYE_SLIDER_ROT_X_RIGHT,
		EYE_SLIDER_ROT_Y_LEFT,
		EYE_SLIDER_ROT_Y_RIGHT,
		EYE_SLIDER_SCALE,
		EYE_SLIDER_NUM,
	};
	void SetTransSliderValue(int num, float value);
	void SetRotateSliderValue(int num, float value);
	void SetScaleSliderValue(int num, float value);

private:
	QLabel *m_pLabel[EYE_SLIDER_NUM];
	QSlider *m_pSlider[EYE_SLIDER_NUM];
	EditGLDlg *m_pEditGLDlg;

	const static char *EYE_SLIDER_NAME[];
};


#endif// EYEDLG_H
