#ifndef GLEDITWIDGET_H
#define GLEDITWIDGET_H

#include <QGLWidget>
#include "Document.h"
#include "DialogEdit.h"

class GLEditWidget: public QGLWidget
{
    Q_OBJECT

public:
	GLEditWidget(Document *pDocument, DialogEdit *pView, QWidget *parent = 0);
    ~GLEditWidget();

protected:
    void initializeGL();

    void resizeGL(int width, int height);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void keyPressEvent(QKeyEvent *event);
	void keyReleaseEvent(QKeyEvent *event);

public:
	void paintGL();
	
private:	
	Document *m_pDocument;
	DialogEdit *m_pView;
	int m_KeyState;
};

#endif //GLEDITWIDGET_H
