#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QGLWidget>
#include "Document.h"
#include "View.h"
#include "editGLDlg.h"

class GLWidget: public QGLWidget
{
    Q_OBJECT

public:
	GLWidget(EditGLDlg *editGLDlg, Document *pDocument, View *pView, QWidget *parent = 0);
    ~GLWidget();

protected:
    void initializeGL();
    void resizeGL(int width, int height);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void keyPressEvent(QKeyEvent *event);
	void keyReleaseEvent(QKeyEvent *event);

public:
	 void paintGL();
	
private:	
	Document *m_pDocument;
	View *m_pView;
	int m_KeyState;
	EditGLDlg *m_pEditGLDlg;
};

#endif
